Summary:	Mind game - build molecules out of single atoms
Name:		atomix
Version:	2.14.0
Release:	%mkrel 10
License:	GPLv2+
Group:		Games/Puzzles
URL:		http://triq.net/~jens/atomix.php
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		atomix-2.14.0-lm.patch
BuildRequires:	libgnomeui2-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils
Requires(pre):	rpm-helper

%description
Atomix is a little mind game where you have to build molecules out of
single atoms. These are laying around between the walls and obstacles
on the playfield. Once you have pushed an atom in one direction it
moves until it hits an obstacle or another atom. It needs some thinking
how to construct complex molecules with this atom behaviour. The game
is inspired by the original Amiga version.

%prep
%setup -q
%apply_patches

#fix build with new automake
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' -e 's,AM_PROG_CC_STDC,AC_PROG_CC,g' configure.*

%build
autoreconf -fi
%configure2_5x --bindir=%{_gamesbindir} --localstatedir=%{_localstatedir}/lib
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std \
	bindir=%{_gamesbindir} \
	localstatedir=%{_localstatedir}/lib


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="PuzzleGame" \
  --add-category="Game" \
  --add-category="LogicGame" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_miconsdir} \
         %{buildroot}%{_iconsdir} \
         %{buildroot}%{_liconsdir}
convert -geometry 16x16 atomix-icon.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644       atomix-icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 48x48 atomix-icon.png %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

%pre
%create_ghostfile %{_localstatedir}/lib/games/atomix.scores root games 0664

%files -f %{name}.lang
%doc README
%attr(2511, root, games) %{_gamesbindir}/atomix
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/pixmaps/*.png
%ghost %{_localstatedir}/lib/games/atomix.scores

%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.14.0-10.mga3
+ Revision: 346534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 2.14.0-9.mga3
+ Revision: 336499
- fix build with new automake

* Thu Nov 29 2012 pterjan <pterjan> 2.14.0-8.mga3
+ Revision: 322836
- Fix BuildRequires
- Fix build

* Mon Aug 29 2011 ovitters <ovitters> 2.14.0-7.mga2
+ Revision: 136051
- correct source URL, remove unneeded PO file, don't add Mandriva specific desktop category, clean spec file (buildroot, mdkversion, defattr)
- imported package atomix

